Skip to main content
`Ctrl`+`K`

# normal

astropy.uncertainty.normal(center, *, std=None, var=None, ivar=None, n_samples, cls=<class 'astropy.uncertainty.core.Distribution'>, **kwargs)

  Create a Gaussian/normal distribution.

  Parameters:
    center `Quantity`

      The center of this distribution

    std `Quantity` or `python:None`

      The standard deviation/σ of this distribution. Shape must match and unit must be compatible with `center`, or be `None` (if `var` or `ivar` are set).

    var `Quantity` or `python:None`

      The variance of this distribution. Shape must match and unit must be compatible with `center`, or be `None` (if `std` or `ivar` are set).

    ivar `Quantity` or `python:None`

      The inverse variance of this distribution. Shape must match and unit must be compatible with `center`, or be `None` (if `std` or `var` are set).

    n_samples `python:int`

      The number of Monte Carlo samples to use with this distribution

    cls class

      The class to use to create this distribution. Typically a `Distribution` subclass.

    Remaining keywords are passed into the constructor of the ``cls``
  Returns:
    distr `Distribution` or `object`

      The sampled Gaussian distribution. The type will be the same as the parameter `cls`.